Skip to navigation

Get Blog Post

Returns a single Blog Post.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

idintegerRequired
ID of the blog post.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
authorstring or nullOptional

Name of the blog post’s author.

bodystringOptional
Text body of the blog post.
idintegerOptionalRead-only

ID of this blog post. READ-ONLY.

is_publishedbooleanOptionalDefaults to false
Whether the blog post is published. If you want the post to be or remain published following the request, you must set the field explicitly to true, even if the blog post was already published prior to the request.
meta_descriptionstring or nullOptional

Description text for this blog post’s <meta/> element.

meta_keywordsstring or nullOptional

Keywords for this blog post’s <meta/> element.

preview_urlstringOptionalRead-only

URL to preview the blog post. READ-ONLY.

published_dateobjectOptional
published_date_iso8601stringOptional

Published date in ISO 8601 format.

summarystringOptionalRead-only

Summary of the blog post. READ-ONLY.

tagslist of stringsOptional
Tags to characterize the blog post.
thumbnail_pathstring or nullOptional

Local path to a thumbnail uploaded to /product_images/ using WebDAV.

titlestringOptional
Title of this blog post.
urlstringOptional
URL for the public blog post.